Loading...
Searching...
No Matches
starpu_transaction Struct Reference

## Data Fields

struct _starpu_spinlock | lock
struct _starpu_trs_epoch_list | epoch_list
starpu_data_handle_t | handle
int | dummy_data
int(* | do_start_func )(void *buffer, void *arg)
enum _starpu_trs_state | state
int | flags

## Field Documentation

## lock

struct _starpu_spinlock starpu_transaction::lock

epoch list lock

## handle

starpu_data_handle_t starpu_transaction::handle

handle of the transaction object

## dummy_data

int starpu_transaction::dummy_data

dummy data area referenced by the handle

## do_start_func

int(* starpu_transaction::do_start_func) (void *buffer, void *arg)

user function to decide whether to start or cancel an epoch execution, buffer[0] will optionally refer to an user suppled handle's object

## flags

int starpu_transaction::flags

flags, unused for now

The documentation for this struct was generated from the following file:

- task.h